%define Werror_cflags	%nil
%define	oname	TORCS
%define	libname	%mklibname %{name}

Name:		torcs
Version:	1.3.7
Release:	%mkrel 1
Summary:	The Open Racing Car Simulator
License:	GPLv2
Group:		Games/Simulation
URL:		http://torcs.sourceforge.net/
#Upstream only provides one big tarball, so we remove from it the useless data and src/windows folders and recompress it with xz
#Source0:	http://sourceforge.net/projects/%{name}/files/all-in-one/%{version}/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}.tar.xz
BuildRequires:  imagemagick
BuildRequires:	freeglut-devel
BuildRequires:	mesagl-devel
BuildRequires:	png-devel
BuildRequires:	freealut-devel
BuildRequires:	libxrandr-devel
BuildRequires:	openal-devel
BuildRequires:	plib-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libxt-devel
BuildRequires:	libxi-devel
BuildRequires:	libxmu-devel
BuildRequires:	libvorbis-devel
Provides:	%{oname}
Requires:	%{name}-data = %{version}
Requires:	%{name}-robots-base
Recommends:	%{name}-data-nonfree
Recommends:	%{name}-robots-berniw
Recommends:	%{name}-robots-bt
Recommends:	%{name}-robots-olethros
Provides:	%{libname}
Obsoletes:	%{libname}

%description
A 3D racing car simulator using OpenGL.

%package	robots-base
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Basic robots for %{name}
Provides:	%{name}-robots
BuildArch:	noarch

%description	robots-base
Base robots for %{oname}

%package	robots-berniw
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Berniw robots for %{name}
BuildArch:	noarch
Provides:	%{name}-robots

%description	robots-berniw
Berniw robots for %{oname}, by Bernhard Wymann.

%package	robots-bt
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Bt robots for %{name}
Buildarch:	noarch
Provides:	%{name}-robots

%description	robots-bt
bt robots for %{oname}

%package	robots-olethros
Group:		Games/Simulation
Requires:	%{name} >= %{version}
Summary:	Olethros robots for %{name}
Buildarch:	noarch
Provides:	%{name}-robots

%description	robots-olethros
bt robots for %{oname}, by Christos Dimitrakakis.


%prep
%setup -q 

%build
./configure --bindir=%{_gamesbindir} \
 	--prefix=%{_prefix} \
 	--libdir=%{_libdir} \
 	--x-libraries=%{_xorglibdir}
make

%install
%makeinstall_std
install -D -p -m 0644 %{name}.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
desktop-file-install --vendor="%{_real_vendor}" \
 --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%files
%defattr(-,root,root,755)
# %doc INSTALL.linux README.linux
%{_gamesbindir}/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/config
%{_gamesdatadir}/%{name}/telemetry
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%dir %{_gamesdatadir}/%{name}/drivers
%{_datadir}/pixmaps/%{name}.xpm
%{_libdir}/%{name}

%files robots-base
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/damned
%{_gamesdatadir}/%{name}/drivers/human
%{_gamesdatadir}/%{name}/drivers/inferno
%{_gamesdatadir}/%{name}/drivers/inferno2
%{_gamesdatadir}/%{name}/drivers/lliaw
%{_gamesdatadir}/%{name}/drivers/sparkle
%{_gamesdatadir}/%{name}/drivers/tita

%files robots-berniw
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/berniw*

%files robots-bt
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/bt

%files robots-olethros
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/olethros


%changelog
* Sat Oct 08 2016 zezinho <zezinho> 1.3.7-1.mga6
+ Revision: 1059629
- new version 1.3.7

* Wed Feb 17 2016 umeabot <umeabot> 1.3.6-2.mga6
+ Revision: 963075
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 zezinho <zezinho> 1.3.6-1.mga6
+ Revision: 874775
- new version 1.3.6

* Sun Dec 14 2014 akien <akien> 1.3.4-9.mga5
+ Revision: 803159
- Rebuild for shared plib

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-8.mga5
+ Revision: 739168
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-7.mga5
+ Revision: 689923
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1.3.4-6.mga4
+ Revision: 526467
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1.3.4-5.mga4
+ Revision: 436960
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.3.4-4.mga3
+ Revision: 384661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.3.4-3.mga3
+ Revision: 343825
- updated RPM group

* Fri Nov 16 2012 luigiwalser <luigiwalser> 1.3.4-2.mga3
+ Revision: 318368
- rebuild for plib
- rebuild for plib

* Mon Oct 29 2012 dams <dams> 1.3.4-1.mga3
+ Revision: 311364
- new version 1.3.4
- new icon to fix ugly rendering under GNOME3
- clean specfile

* Wed Apr 04 2012 luigiwalser <luigiwalser> 1.3.3-2.mga2
+ Revision: 228370
- rebuild for plib

* Sun Feb 19 2012 zezinho <zezinho> 1.3.3-1.mga2
+ Revision: 211022
- new version

* Mon Feb 06 2012 zezinho <zezinho> 1.3.2-3.mga2
+ Revision: 205578
- require robots-base

* Mon Feb 06 2012 zezinho <zezinho> 1.3.2-2.mga2
+ Revision: 205237
- add suggests for nonfree data

* Mon Feb 06 2012 zezinho <zezinho> 1.3.2-1.mga2
+ Revision: 205197
- fix BR for vorbis
- add BR for vorbis
- new version

* Thu Sep 15 2011 fwang <fwang> 1.3.1-8.mga2
+ Revision: 144027
- br xi
- add more br when checking configureing
- br plib
- cleanup spec

  + kharec <kharec>
    - Try again to fix BR's
    - fix BR

* Wed Apr 27 2011 stormi <stormi> 1.3.1-7.mga1
+ Revision: 92013
- fix Summary

* Tue Apr 26 2011 wally <wally> 1.3.1-6.mga1
+ Revision: 91836
- fix desktop file name (mga#954)

* Fri Apr 08 2011 kharec <kharec> 1.3.1-5.mga1
+ Revision: 82153
- imported package torcs

